package zahlen;

public class Null implements N {
	@Override
	public N add(N that) {
		return that;
	}

	@Override
	public N mult(N that) {
		return this;
	}
  
	@Override
	public int value() {
		return 0;
	}

	@Override
	public Z add(Z that) {
		return that;
	}

	@Override
	public Z mult(Z that) {
		return this;
	}
}

